package com.mcwl.memberCenter.domain.vo;

import com.baomidou.mybatisplus.annotation.TableId;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.mcwl.memberCenter.domain.MemberConsume;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.ArrayList;
import java.util.Date;
import java.util.List;

/**
 * 积分消费
 */
@Data
@ApiModel(description = "积分消费")
public class MemberConsumeVO {

    private Long id;

    // 用户id
    @ApiModelProperty(value = "用户id")
    private Long userId;

    // 消费积分
    @ApiModelProperty(value = "消费积分")
    private Double consumePoints;

    // 消费时间
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date consumeTime;

}
